config_misc.h File Reference

Library configuration file. More...

Go to the source code of this file.

## Macros

#define | CRYPTOPP_LITTLE_ENDIAN 1
#define | CRYPTOPP_DATA_DIR ""
#define | CRYPTOPP_SLOW_ARMV8_SHIFT 1
#define | GZIP_OS_CODE 0
#define | CRYPTOPP_UNUSED(x)
#define | CRYPTOPP_NOINLINE_DOTDOTDOT ...
#define | CRYPTOPP_NOINLINE
#define | CRYPTOPP_STATIC_CONSTEXPR static
#define | CRYPTOPP_STATIC_CONST_OR_CONSTEXPR static const
#define | CRYPTOPP_CONST_OR_CONSTEXPR const
#define | CRYPTOPP_CONSTEXPR
#define | CRYPTOPP_CONSTANT(x)

## Detailed Description

Library configuration file.

config_misc.h provides miscellaneous defines.

config.h was split into components in May 2019 to better integrate with Autoconf and its feature tests. The splitting occurred so users could continue to include config.h while allowing Autoconf to write new config_asm.h and new config_cxx.h using its feature tests.

Note
  You should include config.h rather than config_misc.h directly.

See also
  Issue 835, Make config.h more autoconf friendly, Configure.sh script on the Crypto++ wiki

Since
  Crypto++ 8.3

Definition in file config_misc.h.

## Macro Definition Documentation

## CRYPTOPP_LITTLE_ENDIAN

#define CRYPTOPP_LITTLE_ENDIAN 1

Definition at line 38 of file config_misc.h.

## CRYPTOPP_DATA_DIR

#define CRYPTOPP_DATA_DIR ""

Definition at line 47 of file config_misc.h.

## CRYPTOPP_SLOW_ARMV8_SHIFT

#define CRYPTOPP_SLOW_ARMV8_SHIFT 1

Definition at line 69 of file config_misc.h.

## GZIP_OS_CODE

#define GZIP_OS_CODE 0

Definition at line 92 of file config_misc.h.

## CRYPTOPP_UNUSED

#define CRYPTOPP_UNUSED | ( |  | x | ) |

Value:
((void)(x))

Definition at line 129 of file config_misc.h.

## CRYPTOPP_NOINLINE_DOTDOTDOT

#define CRYPTOPP_NOINLINE_DOTDOTDOT ...

Definition at line 143 of file config_misc.h.

## CRYPTOPP_NOINLINE

#define CRYPTOPP_NOINLINE

Definition at line 144 of file config_misc.h.

## CRYPTOPP_STATIC_CONSTEXPR

#define CRYPTOPP_STATIC_CONSTEXPR static

Definition at line 155 of file config_misc.h.

## CRYPTOPP_STATIC_CONST_OR_CONSTEXPR

#define CRYPTOPP_STATIC_CONST_OR_CONSTEXPR static const

Definition at line 156 of file config_misc.h.

## CRYPTOPP_CONST_OR_CONSTEXPR

#define CRYPTOPP_CONST_OR_CONSTEXPR const

Definition at line 157 of file config_misc.h.

## CRYPTOPP_CONSTEXPR

#define CRYPTOPP_CONSTEXPR

Definition at line 158 of file config_misc.h.

## CRYPTOPP_CONSTANT

#define CRYPTOPP_CONSTANT | ( |  | x | ) |

Value:
static const int x

Definition at line 162 of file config_misc.h.